Validate an OAuth token and retrieve its claims. This is a standard OAuth 2.0 introspection endpoint.
Request body for OAuth token introspection
Token introspection details retrieved successfully
Bad request error
Invalid credentials
Internal server error
curl -i -X POST \ https://api-prod.surfsight.net/v2/oauth/introspect \ -H 'Content-Type: application/x-www-form-urlencoded' \ -d token=string \ -d clientId=abc123def456 \ -d clientSecret=secret_abc123xyz789
{- "exp": 0,
- "iat": 0,
- "jti": "string",
- "iss": "string",
- "sub": "string",
- "typ": "string",
- "azp": "string",
- "accessLevel": "string",
- "name": "string",
- "source": "string",
- "id": 0,
- "type": "string",
- "email": "string",
- "parentResellerId": 0,
- "clientId": "abc123def456",
- "username": "string",
- "tokenType": "string",
- "active": true,
- "requestId": "06327cae-e075-42ca-b620-c5cfdd3b4e37"
}